%define section   free

Name:           db-ojb
Version:        1.0.3
Release:        2jpp
Epoch:          0
Summary:        ObJectRelationalBridge

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://db.apache.org/ojb/
Source0:        db-ojb-1.0.3-src.tgz
Source1:        db-ojb-1.0.3-doc.tgz
Patch0:         db-ojb-1.0.3-build_xml.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-junit >= 0:1.6
BuildRequires:  ant-trax >= 0:1.6
BuildRequires:  junit
BuildRequires:  jaxp_transform_impl

BuildRequires:  antlr
BuildRequires:  avalon-framework
BuildRequires:  avalon-logkit
BuildRequires:  db-torque
BuildRequires:  db-torque-gen
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-configuration
BuildRequires:  jakarta-commons-dbcp
BuildRequires:  jakarta-commons-lang
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-pool
BuildRequires:  jakarta-commons-transaction
BuildRequires:  ejb >= 0:2.1
BuildRequires:  hsqldb
BuildRequires:  regexp
BuildRequires:  jakarta-jcs
BuildRequires:  jta >= 0:1.0.1
BuildRequires:  log4j
BuildRequires:  p6spy
BuildRequires:  servletapi3
BuildRequires:  velocity
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
BuildRequires:  xdoclet >= 0:1.2
BuildRequires:  jdo >= 0:1.0.1
BuildRequires:  j2sdkee-1.3-sun

Requires:  antlr
Requires:  avalon-framework
Requires:  avalon-logkit
Requires:  db-torque
Requires:  db-torque-gen
Requires:  jakarta-commons-beanutils
Requires:  jakarta-commons-collections
Requires:  jakarta-commons-configuration
Requires:  jakarta-commons-dbcp
Requires:  jakarta-commons-lang
Requires:  jakarta-commons-logging
Requires:  jakarta-commons-pool
Requires:  jakarta-commons-transaction
Requires:  ejb >= 0:2.1
Requires:  hsqldb
Requires:  regexp
Requires:  jakarta-jcs
Requires:  jta >= 0:1.0.1
Requires:  log4j
Requires:  p6spy
Requires:  servletapi3
Requires:  velocity
Requires:  xalan-j2
Requires:  xerces-j2
Requires:  xml-commons-apis


%description
ObJectRelationalBridge (OJB) is an Object/Relational 
mapping tool that allows transparent persistence for 
Java Objects against relational databases. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildRequires:  jakarta-commons-beanutils-javadoc
BuildRequires:  jakarta-commons-collections-javadoc
BuildRequires:  jakarta-commons-dbcp-javadoc
BuildRequires:  jakarta-commons-lang-javadoc
BuildRequires:  jakarta-commons-logging-javadoc
BuildRequires:  jakarta-commons-pool-javadoc

%description    javadoc
%{summary}.

%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.

%prep
%setup -q -n %{name}-%{version}
find . -name "*.jar" -exec rm {} \;
gzip -dc %{SOURCE1} | tar xf -

%patch0 -b .sav

%build
echo useP6Spy=true >> build.properties
export OPT_JAR_LIST="ant/ant-junit junit ant/ant-trax jaxp_transform_impl"
export CLASSPATH=$(build-classpath \
antlr \
commons-beanutils \
commons-collections \
commons-dbcp \
commons-lang \
commons-logging \
commons-pool \
commons-transaction \
db-torque \
db-torque-gen \
ejb \
hsqldb \
regexp \
jcs \
jta \
log4j \
p6spy \
servletapi3 \
velocity \
xalan-j2 \
xerces-j2 \
xml-commons-apis \
xdoclet/xdoclet-1.2)
(cd lib
i=$(find-jar xdoclet/xdoclet-1.2)
ln -s $i xdoclet.jar
ln -s $(find-jar j2ee-1.3) j2ee.jar
ln -s $(find-jar jdo/jdo) jdo.jar
ln -s $(find-jar jdo/jdori) jdori.jar
ln -s $(find-jar ant) ant.jar
ln -s $(find-jar antlr) antlr.jar
ln -s $(find-jar avalon-framework) avalon-framework.jar
ln -s $(find-jar avalon-logkit) avalon-logkit.jar
ln -s $(find-jar commons-beanutils) commons-beanutils.jar
ln -s $(find-jar commons-collections) commons-collections.jar
ln -s $(find-jar commons-configuration) commons-configuration.jar
ln -s $(find-jar commons-dbcp) commons-dbcp.jar
ln -s $(find-jar commons-lang) commons-lang.jar
ln -s $(find-jar commons-logging) commons-logging.jar
ln -s $(find-jar commons-pool) commons-pool.jar
ln -s $(find-jar db-torque) db-torque.jar
ln -s $(find-jar db-torque-gen) db-torque-gen.jar
ln -s $(find-jar dom4j) dom4j.jar
ln -s $(find-jar ejb) ejb.jar
ln -s $(find-jar hsqldb) hsqldb.jar
ln -s $(find-jar regexp) jakarta-regexp.jar
ln -s $(find-jar jcs) jcs.jar
ln -s $(find-jar jaxen) jaxen.jar
ln -s $(find-jar jdbc-stdext) jdbc-stdext.jar
ln -s $(find-jar jndi) jndi.jar
ln -s $(find-jar jta) jta.jar
ln -s $(find-jar junit) junit.jar
ln -s $(find-jar log4j) log4j.jar
ln -s $(find-jar p6spy) p6spy.jar
ln -s $(find-jar servletapi4) servletapi4.jar
ln -s $(find-jar velocity) velocity.jar
ln -s $(find-jar xalan-j2) xalan.jar
ln -s $(find-jar xerces-j2) xercesImpl.jar
ln -s $(find-jar xjavadoc) xjavadoc.jar
ln -s $(find-jar xml-commons-apis) xml-apis.jar
)
ant all


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -Dpm 644 dist/%{name}-%{version}.jar \
     $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-%{version}.jar
install -pm 644 dist/%{name}-%{version}-junit.jar \
     $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-junit-%{version}.jar
install -pm 644 dist/%{name}-%{version}-tools.jar \
     $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-tools-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr profile $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

#javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf doc/api

#manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p LICENSE $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p release-notes.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# remove cruft we REALLY don't need
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/db-ojb-blank*.jar

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}/LICENSE
%doc %{_docdir}/%{name}-%{version}/release-notes.txt
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/%{name}-%{version}.jar
%{_javadir}/%{name}/%{name}.jar
%{_javadir}/%{name}/%{name}-junit-%{version}.jar
%{_javadir}/%{name}/%{name}-junit.jar
%{_javadir}/%{name}/%{name}-tools-%{version}.jar
%{_javadir}/%{name}/%{name}-tools.jar
%{_datadir}/%{name}-%{version}/profile

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}

%changelog
* Tue Nov 01 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0.3-2jpp
- Change requirement from jakarta-turbine-jcs to jakarta-jcs

* Tue Sep 27 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0.3-1jpp
- Upgrade to 1.0.3

* Fri Oct 08 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.1-1jpp
- Upgrade to 1.0.1
- Upgrade dependency to db-torque (3.1) and added db-torque-gen
- Dropped symlink of saxpath to lib

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.rc5-0.cvs040224.5jpp
- Build with ant-1.6.2

* Fri Aug 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.rc5-0.cvs040224.4jpp
- ant-trax needed

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:1.0.rc5-0.cvs040224.3jpp
- Upgrade to Ant 1.6.X

* Tue Mar 09 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.rc5-0.cvs040224.2jpp
- Cleanups thanks to Kaj J. Niemi
- Fixes dependencies an leftover files during install
- /usr/share/java/db-ojb was not owned and resulted in 
  leftover directory upon uninstall
* Fri Mar 05 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.rc5-0.cvs040224.1jpp
- First JPackage release.
